//*************************************************
//***  ut_airport skybox shader   *****************
//***  check www.s8s.info for compile   ***********
//***  and prefab instructions for entitys suns   *
//*************************************************
textures/airport/airport_skybox
{
	qer_editorimage textures/airport/airportsky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 88
	q3map_sun 1 1 1 99 55 48
	skyparms env/airport/airport - -
}

//************************************************
//The Moving Belt for the Belt Loader Luggage Tug
//  this shader was originally done by thnom
//************************************************
models/mapobjects/airport/belt
{
      qer_editorimage models/mapobjects/airport/belt.tga	
      q3map_globaltexture	
	cull disable
	
	tesssize 64
	cull disable

	{
	map models/mapobjects/airport/belt.tga
		tcMod scroll 0 0.4
        }

	{
		map $lightmap
                rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	   
	}
}

//************************************************
//Support arms, steering wheel and other small
//transperant items for the Belt loader luggage tug
//************************************************ 
models/mapobjects/airport/supports
{
     qer_editorimage models/mapobjects/airport/supports.tga
	cull none
	surfaceparm alphashadow
	surfaceparm trans
	nopicmip
	
	{
		map models/mapobjects/airport/supports.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

//*************************************************
//*** lighted neon signs for the ticket counters
//***      crenshaw airlines neon sign
//*************************************************
textures/airport/crenshaw_sign
{
	q3map_lightimage textures/airport/crenshaw_logo.tga
	qer_editorimage textures/airport/crenshaw_logo.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
      Light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/airport/crenshaw_logo.tga
		blendFunc filter
	      rgbGen identity	
	}
}

//*************************************************
//*** lighted neon signs for the ticket counters
//***      southcentral airlines neon sign
//*************************************************
textures/airport/southcentral_sign
{
	q3map_lightimage textures/airport/southcentral_logo.tga
	qer_editorimage textures/airport/southcentral_logo.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
      Light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/airport/southcentral_logo.tga
		blendFunc filter
	      rgbGen identity	
	}
}

//*************************************************
//*** lighted neon signs for the ticket counters
//***      eastside airlines neon sign
//*************************************************
textures/airport/eastside_sign
{
	q3map_lightimage textures/airport/eastside_logo.tga
	qer_editorimage textures/airport/eastside_logo.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
      Light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/airport/eastside_logo.tga
		blendFunc filter
	      rgbGen identity	
	}
}

//**************************************************
// envormental effect for arrival/departure screens
// located above ticket counters
//**************************************************
textures/airport/arrival_screen
{
       {
            map textures/airport/arrival_screen.tga
       }

       {
            map textures/airport/arrivalscreen_env1.tga
            tcgen environment
            blendFunc GL_ONE GL_ONE 
       }

       { 
            map textures/airport/arrival_screen.tga 
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
       }

       {
            map $lightmap
            blendFunc GL_DST_COLOR GL_SRC_COLOR 
       }
}
